Subject: Re: bug#58940: [PATCH] feature/tree-sitter: Add more font lock faces

From: Eli Zaretskii <[email-masked]>
Date: Mon, 07 Nov 2022 05:31:26 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  Randy Taylor <[email-masked]>,
>   [email-masked],  [email-masked]
> Date: Sun, 06 Nov 2022 20:33:18 -0500
> 
> >> I suspect that's part of the reason.  Ideally, we'd phase out those old
> >> `font-lock-*-face` variables rather than introduce new ones.
> >> I think the only thing they bring nowadays is confusion.
> > Would it be worth it to make them obsolete?
> 
> I'd be in favor, yes.

I wouldn't.  There's gobs of code out there which will suddenly get
warnings.  For what purpose?  Those variables cause no harm
whatsoever.

We shouldn't be too eager to obsolete things that cause us no harm.